import { OptimizationItem, RouteOptions } from '@bringg/types';
import BaseService from '../../Core/BaseService';
import Session from '../../Services/Identity/Session';
export default class OptimizationConfigurationsEntity extends BaseService<OptimizationConfigurationsEntity> {
    constructor(session: Session);
    create(configuration: OptimizationItem): Promise<unknown>;
    list(): Promise<OptimizationItem[]>;
    getById(id: number): Promise<OptimizationItem>;
    update(id: number, configuration: Partial<OptimizationItem>): Promise<OptimizationItem>;
    delete(id: number): Promise<void>;
    batchDelete(configurationIds: number[]): Promise<void>;
    getMerchantTeamSettings(): Promise<RouteOptions>;
}
